Gets a collection of participant plan earning details
get
/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- CompPlanIntNameFinder Finds the earnings by participant for a plan using the plan component identifier and the interval type name.
Finder Variables- bComp_Plan_Id; integer; The unique identifier of the compensation plan.
- bEnd_Date; string; The end date until which you want the plan earnings data by participant.
- bInterval_Type_Name; string; The name of the interval type.
- bStart_Date; string; The start date from which you want the plan earnings data by participant.
- CompensationPlanFinder Finds the earnings by participant for a plan using the plan component identifier and the interval type identifier.
Finder Variables- bComp_Plan_Id; integer; The unique identifier of the compensation plan.
- bEnd_Date; string; The end date until which you want the plan earnings data by participant.
- bInterval_Type_Id; integer; The unique identifier of the interval type.
- bStart_Date; string; The start date from which you want the plan earnings data by participant.
- PrimaryKey Find the plan earnings by participant data based on the primary key.
Finder Variables- CompensationPlanId; integer; The unique identifier of the compensation plan.
- CompPlanIntNameFinder Finds the earnings by participant for a plan using the plan component identifier and the interval type name.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CompensationPlanId; integer; The unique identifier of the compensation plan.
- CompensationPlanName; string; The name of the compensation plan.
- CurrencyCode; string; The functional currency code of the earnings.
- DisplayName; string; The display name of the compensation plan.
- EmailAddress; string; The email address of the participant.
- IntervalEndDate; string; The end date of the interval.
- IntervalNumber; string; The interval number in which incentive was earned.
- IntervalStartDate; string; The start date of the interval.
- IntervalType; string; The name of the interval type.
- IntervalTypeId; integer; The unique identifier of the interval type.
- OrgId; integer; The unique identifier of the business unit.
- ParticipantId; integer; The unique identifier of participant.
- ParticipantName; string; The name of the participant.
- PartyId; integer; The party identifier of the participant.
- TotalEarning; number; The total amount earned by a participant in that plan for the dates specified.
- TotalTransactionAmount; number; The total transaction amount or revenue calculated in that plan for the dates specified.
- WorkerNumber; string; The worker number of the participant.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : incentiveCompensationPlanParticipantEarnings
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : incentiveCompensationPlanParticipantEarnings-item-response
Type:
Show Source
object-
CompensationPlanId: integer
(int64)
Read Only:
trueThe unique identifier of the compensation plan. -
CompensationPlanName: string
Read Only:
trueMaximum Length:80The name of the compensation plan. -
CurrencyCode: string
Read Only:
trueMaximum Length:30The functional currency code of the earnings. -
DisplayName: string
Read Only:
trueMaximum Length:80The display name of the compensation plan. -
EmailAddress: string
Read Only:
trueMaximum Length:320The email address of the participant. -
IntervalEndDate: string
(date)
Read Only:
trueThe end date of the interval. -
IntervalNumber: string
Read Only:
trueMaximum Length:50The interval number in which incentive was earned. -
IntervalStartDate: string
(date)
Read Only:
trueThe start date of the interval. -
IntervalType: string
Read Only:
trueMaximum Length:80The name of the interval type. -
IntervalTypeId: integer
(int64)
Read Only:
trueThe unique identifier of the interval type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrgId: integer
(int64)
Read Only:
trueThe unique identifier of the business unit. -
ParticipantId: integer
(int64)
Read Only:
trueThe unique identifier of participant. -
ParticipantName: string
Read Only:
trueMaximum Length:360The name of the participant. -
PartyId: integer
(int64)
Read Only:
trueThe party identifier of the participant. -
TotalEarning: number
Read Only:
trueThe total amount earned by a participant in that plan for the dates specified. -
TotalTransactionAmount: number
Read Only:
trueThe total transaction amount or revenue calculated in that plan for the dates specified. -
WorkerNumber: string
Read Only:
trueMaximum Length:30The worker number of the participant.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to get all participant plan earning details by submitting a request on the REST resource using cURL.
cURL Command
curl -u <username:password> \ -X GET
https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings
\ -H 'Content-Type: application/json'
Example of Response Body
The following shows an example of the response body in JSON format.
{
"items": [
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000599,
"PartyId": 100010025532528,
"ParticipantName": "Joseph Kerr",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Year",
"IntervalTypeId": -1003,
"IntervalNumber": "2009001",
"TotalEarning": 4504.40616,
"TotalTransactionAmount": 121780.296,
"IntervalStartDate": "2009-01-01",
"IntervalEndDate": "2009-12-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000599,
"PartyId": 100010025532528,
"ParticipantName": "Joseph Kerr",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Semi Annual",
"IntervalTypeId": -1002,
"IntervalNumber": "2009002",
"TotalEarning": 1249.04976,
"TotalTransactionAmount": 35687.136,
"IntervalStartDate": "2009-07-01",
"IntervalEndDate": "2009-12-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000599,
"PartyId": 100010025532528,
"ParticipantName": "Joseph Kerr",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009009",
"TotalEarning": 504,
"TotalTransactionAmount": 14400,
"IntervalStartDate": "2009-09-01",
"IntervalEndDate": "2009-09-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2002,
"PartyId": 300100005347188,
"ParticipantName": "IC_PARTY_VO_20111202141139",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2015005",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2015-05-01",
"IntervalEndDate": "2015-05-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2002,
"PartyId": 300100005347188,
"ParticipantName": "IC_PARTY_VO_20111202141139",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2015011",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2015-11-01",
"IntervalEndDate": "2015-11-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2002,
"PartyId": 300100005347188,
"ParticipantName": "IC_PARTY_VO_20111202141139",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Semi Annual",
"IntervalTypeId": -1002,
"IntervalNumber": "2016001",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2016-01-01",
"IntervalEndDate": "2016-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000066,
"PartyId": 100010032636857,
"ParticipantName": "Katrina ZHRS-Butcher",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009004",
"TotalEarning": 3148,
"TotalTransactionAmount": 114000,
"IntervalStartDate": "2009-04-01",
"IntervalEndDate": "2009-04-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000066,
"PartyId": 100010032636857,
"ParticipantName": "Katrina ZHRS-Butcher",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009001",
"TotalEarning": 1672,
"TotalTransactionAmount": 66000,
"IntervalStartDate": "2009-01-01",
"IntervalEndDate": "2009-01-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000599,
"PartyId": 100010025532528,
"ParticipantName": "Joseph Kerr",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009001",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-01-01",
"IntervalEndDate": "2009-01-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Quarter",
"IntervalTypeId": -1001,
"IntervalNumber": "2016002",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2016-04-01",
"IntervalEndDate": "2016-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2016006",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2016-06-01",
"IntervalEndDate": "2016-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2016007",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2016-07-01",
"IntervalEndDate": "2016-07-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2016011",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2016-11-01",
"IntervalEndDate": "2016-11-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000592,
"PartyId": 100010025532486,
"ParticipantName": "Joshua Adams",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Quarter",
"IntervalTypeId": -1001,
"IntervalNumber": "2009004",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-10-01",
"IntervalEndDate": "2009-12-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000592,
"PartyId": 100010025532486,
"ParticipantName": "Joshua Adams",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009006",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-06-01",
"IntervalEndDate": "2009-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000592,
"PartyId": 100010025532486,
"ParticipantName": "Joshua Adams",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009002",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-02-01",
"IntervalEndDate": "2009-02-28",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115267,
"CompensationPlanName": "US Salesrep Commission Compensation Plan",
"DisplayName": "US Salesrep Commission Compensation Plan",
"ParticipantId": 999666333000608,
"PartyId": 100010025532582,
"ParticipantName": "Haley Hall",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Semi Annual",
"IntervalTypeId": -1002,
"IntervalNumber": "2009001",
"TotalEarning": 1224.0753,
"TotalTransactionAmount": 86093.16,
"IntervalStartDate": "2009-01-01",
"IntervalEndDate": "2009-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115267",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000586,
"PartyId": 100010025531964,
"ParticipantName": "Allison Flores",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Semi Annual",
"IntervalTypeId": -1002,
"IntervalNumber": "2009001",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-01-01",
"IntervalEndDate": "2009-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000586,
"PartyId": 100010025531964,
"ParticipantName": "Allison Flores",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009012",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-12-01",
"IntervalEndDate": "2009-12-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000586,
"PartyId": 100010025531964,
"ParticipantName": "Allison Flores",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009008",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-08-01",
"IntervalEndDate": "2009-08-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 100000015115289,
"CompensationPlanName": "US Manager Compensation Plan",
"DisplayName": "US Manager Compensation Plan",
"ParticipantId": 999666333000586,
"PartyId": 100010025531964,
"ParticipantName": "Allison Flores",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2009004",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2009-04-01",
"IntervalEndDate": "2009-04-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/100000015115289",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Semi Annual",
"IntervalTypeId": -1002,
"IntervalNumber": "2015001",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2015-01-01",
"IntervalEndDate": "2015-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2015003",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2015-03-01",
"IntervalEndDate": "2015-03-31",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2015006",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2015-06-01",
"IntervalEndDate": "2015-06-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
},
{
"CompensationPlanId": 300100052330827,
"CompensationPlanName": "CN PAYMENT COMPLAN",
"DisplayName": "CN PAYMENT COMPLAN",
"ParticipantId": 2003,
"PartyId": 300100005347195,
"ParticipantName": "IC_PARTY_VO_20111202141952",
"EmailAddress": "sendmail-test-discard@oracle.com",
"WorkerNumber": null,
"OrgId": 204,
"CurrencyCode": "USD",
"IntervalType": "Period",
"IntervalTypeId": -1000,
"IntervalNumber": "2015009",
"TotalEarning": 0,
"TotalTransactionAmount": 0,
"IntervalStartDate": "2015-09-01",
"IntervalEndDate": "2015-09-30",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings/300100052330827",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "item"
}
]
}
],
"count": 25,
"hasMore": true,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/incentiveCompensationPlanParticipantEarnings",
"name": "incentiveCompensationPlanParticipantEarnings",
"kind": "collection"
}
]
}